com.trendmicro.ds.platform.rest.object

## Class DSCredentials

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.DSCredentials

-     public class DSCredentials
      extends java.lang.Object

  Parameters passed to log in to DSM.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DSCredentials()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApplicationInfos` | `getApplicationInfos()` Application information provided by calling application, optional
    `java.lang.String` | `getMfaCode()` Multi-factor authentication code for authentication with accounts which have MFA enabled.
    `java.lang.String` | `getPassword()` Password used for authentication
    `java.lang.String` | `getTenantName()` Tenant account name; required when logging in to a tenant account.
    `java.lang.String` | `getUserName()` User name to use for authentication
    `void` | `setApplicationInfos(ApplicationInfos applicationInfos)`
    `void` | `setMfaCode(java.lang.String mfaCode)`
    `void` | `setPassword(java.lang.String password)`
    `void` | `setTenantName(java.lang.String tenantName)`
    `void` | `setUserName(java.lang.String userName)`
    `DSCredentials` | `withApplicationInfos(ApplicationInfos applicationInfos)`
    `DSCredentials` | `withMfaCode(java.lang.String mfaCode)`
    `DSCredentials` | `withPassword(java.lang.String password)`
    `DSCredentials` | `withTenantName(java.lang.String tenantName)`
    `DSCredentials` | `withUserName(java.lang.String userName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DSCredentials

          public DSCredentials()

  - ### Method Detail

    - #### getTenantName

          public java.lang.String getTenantName()

      Tenant account name; required when logging in to a tenant account.

    - #### setTenantName

          public void setTenantName(java.lang.String tenantName)

    - #### withTenantName

          public DSCredentials withTenantName(java.lang.String tenantName)

    - #### getUserName

          public java.lang.String getUserName()

      User name to use for authentication

    - #### setUserName

          public void setUserName(java.lang.String userName)

    - #### withUserName

          public DSCredentials withUserName(java.lang.String userName)

    - #### getPassword

          public java.lang.String getPassword()

      Password used for authentication

    - #### setPassword

          public void setPassword(java.lang.String password)

    - #### withPassword

          public DSCredentials withPassword(java.lang.String password)

    - #### getApplicationInfos

          public ApplicationInfos getApplicationInfos()

      Application information provided by calling application, optional

    - #### setApplicationInfos

          public void setApplicationInfos(ApplicationInfos applicationInfos)

    - #### withApplicationInfos

          public DSCredentials withApplicationInfos(ApplicationInfos applicationInfos)

    - #### getMfaCode

          public java.lang.String getMfaCode()

      Multi-factor authentication code for authentication with accounts which have MFA enabled.

    - #### setMfaCode

          public void setMfaCode(java.lang.String mfaCode)

    - #### withMfaCode

          public DSCredentials withMfaCode(java.lang.String mfaCode)

Copyright © 2017 Trend Micro Inc. All Rights Reserved.